require 'mediawikibot'

class WikiChecker < MediaWikiBot::WikiBot
  def category_checker (page, category)
    body  = "== #{page} ==\n\n"
    body += "[[Category:FIXME]]\n\n"
    body += "Unter [[#{page}]] fehlen folgende Artikel aus [[:#{category}]]:\n\n"

    projekte = get_raw(page)
    get_category_articles(category).each do |title|
      re = Regexp.new(Regexp.escape("[[" + title))
      if ! re.match(projekte) && title != page
        body += "* [[" + title + "]]\n"
      end
    end
    return body
  end
end

